<template>
  <table v-if="backReferences">
    <tr>
      <th>Bron</th>
      <th>linkrole / presentation</th>
      <th>locatie</th>
    </tr>
    <tr v-for="(ref, index) in backReferences" :key="index">
      <td>{{ ref.source }}</td>
      <td v-if="ref.definition">
        <router-link
          :to="{name: 'linkrole_detail', params: {linkrole_id: ref.linkrole_id}}"
        >{{ ref.definition }}
        </router-link>
      </td>
      <td v-else>{{ ref.presentation_id }}</td>
      <td>{{ ref.type }}</td>
    </tr>
  </table>
</template>

<script>
import {api} from "boot/axios";

export default {
  name: "ComponentBackreference",
  data() {
    return {backReferences: undefined}
  },
  props: {
    concept_id: String,
    dts_name: String,
    nt_version: String
  },
  mounted() {
    if (this.concept_id && this.dts_name) {
      this.fetchData()
    }
  },
  watch: {
    concept_id: function () {
      if (this.concept_id && this.dts_name) {
        this.fetchData()
      }
    }
  },
  methods: {
    fetchData: function () {
      if (this.concept_id && this.dts_name) {
        api
          .get("/dts/" + this.dts_name + "/concepts/backref/" + this.concept_id,
            {params: {nt_version: this.nt_version}})
          .then(response => {
            this.backReferences = response.data
          })
      }
    }
  }
}
</script>

<style scoped lang="scss">
th {
  text-align: left;
}

table {
  border-collapse: collapse;
}

td, th {
  border: 1px solid $blue-grey;
  padding: 2px 5px;
}
</style>
